=== debian/changelog ===
lua-sandbox-extensions (0~git20161128-1) unstable; urgency=medium

  * Initial release (Closes: #847952)

 -- Sophie Brun <sophie@freexian.com>  Fri, 02 Dec 2016 14:59:59 +0100
