=== debian/control ===
Source: lua-sandbox-extensions
Section: interpreters
Priority: optional
Maintainer: Heka Maintainers <pkg-heka-maint@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Mathieu Parent <sathieu@debian.org>, Sophie Brun <sophie@freexian.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Homepage: https://github.com/mozilla-services/lua_sandbox_extensions
Vcs-Git: https://anonscm.debian.org/git/pkg-heka/lua-sandbox-extensions.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-heka/lua-sandbox-extensions.git

Package: lua-sandbox-extensions
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
Suggests: luasandbox-bloom-filter, luasandbox-circular-buffer, luasandbox-cjson, luasandbox-compat, luasandbox-cuckoo-filter, luasandbox-elasticsearch, luasandbox-geoip, luasandbox-heka, luasandbox-hyperloglog,luasandbox-kafka, luasandbox-lfs, luasandbox-lpeg, luasandbox-lsb, luasandbox-moz-telemetry, luasandbox-openssl, luasandbox-parquet, luasandbox-postgres, luasandbox-rjson, luasandbox-sax, luasandbox-snappy, luasandbox-socket, luasandbox-ssl, luasandbox-struct, luasandbox-syslog, luasandbox-systemd, luasandbox-zlib
XB-Lua-Versions: ${lua:Versions}
Description: Extension sandboxes and modules for Lua Sandbox
 This package aggregates multiple lua extensions targeted for the
 "luasandbox" Lua implementation. Only the luasandbox specific files from this
 package are shipped. The standard lua-* packages will be used to build the
 compiled extensions.

Package: lua-sandbox-extensions-dev
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: lua-sandbox-extensions (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: Extension sandboxes and modules for Lua Sandbox
 This package contains the development files of the lua-sandbox-extensions
 library, useful to create a statically linked binary (like a C application or
 a standalone Lua interpreter).
 .
 Documentation is also shipped within this package.
