=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# Don't run cmake, we just want to copy .lua files for now

override_dh_install:
	dh_install
	for f in $$(find . -name "*.lua" | grep -v /tests/ | grep -v gen_gh); do \
	    install -m 644 -D $$f debian/lua-sandbox-extensions/usr/share/luasandbox/$${f#./*/}; \
	done
