=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lua-sandbox-extensions-$1.tar.gz%" \
   https://github.com/mozilla-services/lua_sandbox-extensions/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
